rb_flowtime.d(1m)

NAME
rb_flowtime.d - snoop Ruby function (method) flow using DTrace.

SYNOPSIS
rb_flowtime.d

DESCRIPTION
This traces activity from all Ruby programs on the system that are running with Ruby provider support. Filename and method names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Ruby provider, which may change as additional features are introduced. Check Ruby/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # rb_flowtime.d

FIELDS

C   CPU-id

TIME(us)
    Time since boot, us

FILE
    Filename that this method belongs to

DELTA(us)
    Elapsed time from previous line to this line

CLASS::METHOD
    Ruby class and method name

LEGEND

->  method entry

<-  method return

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
rb_flowtime.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)